Coordinate VBA del punto di inserimento tabella

KATERYNA

Utente poco attivo
Professione: ingegnere
Software: autocad
Regione: veneto
Buongiorno a tutti,
avrei bisogno di estrarre dal disegno con VBA le coordinate del punto di inserimento della tabella, precedentemente inserita con getpoint e successivamente spostata.
C'è la possibilità di trovare le coordinate della tabella?
Ho trovato il comando per avere le coordinate della polilinea e altri oggetti AutoCAD, ma non funziona con la tabella.
Qualcuno riuscirebbe ad aiutarmi?
Grazie!
 

rpor66

Utente Standard
Professione: Programmatore
Software: Lisp, Vba per Autocad e GstarCAD, CadWorx, Termus BIM.
Regione: Sicilia
Codice:
Private Sub SelectTabella()
    
    Dim Tabella As AcadTable
    Dim Pt As Variant
    Dim ssetObj As AcadSelectionSet
    
    On Error Resume Next
    ThisDrawing.SelectionSets.Item("SSET").Delete
    On Error GoTo 0
    
    Set ssetObj = ThisDrawing.SelectionSets.Add("SSET")
    ssetObj.SelectOnScreen
    
    Set Tabella = ssetObj.Item(0)
    Pt = Tabella.InsertionPoint
    
    MsgBox "X: " & Pt(0) & "  -  Y: " & Pt(1)
    
    ThisDrawing.SelectionSets.Item("SSET").Delete
    
End Sub

Prego
 

rpor66

Utente Standard
Professione: Programmatore
Software: Lisp, Vba per Autocad e GstarCAD, CadWorx, Termus BIM.
Regione: Sicilia
Se vuoi l'elenco delle proprietà di un oggetto usa questo comando:
(vlax-dump-object (vlax-ename->vla-object (car (entsel "\nSel ent: "))))

per comodità, creati un pulsante con relativo comando, è molto utile in tante occasioni.
 

KATERYNA

Utente poco attivo
Professione: ingegnere
Software: autocad
Regione: veneto
Codice:
Private Sub SelectTabella()
   
    Dim Tabella As AcadTable
    Dim Pt As Variant
    Dim ssetObj As AcadSelectionSet
   
    On Error Resume Next
    ThisDrawing.SelectionSets.Item("SSET").Delete
    On Error GoTo 0
   
    Set ssetObj = ThisDrawing.SelectionSets.Add("SSET")
    ssetObj.SelectOnScreen
   
    Set Tabella = ssetObj.Item(0)
    Pt = Tabella.InsertionPoint
   
    MsgBox "X: " & Pt(0) & "  -  Y: " & Pt(1)
   
    ThisDrawing.SelectionSets.Item("SSET").Delete
   
End Sub

Prego
Grazie infinite! Davvero gentilissimo!
 

KATERYNA

Utente poco attivo
Professione: ingegnere
Software: autocad
Regione: veneto
Se vuoi l'elenco delle proprietà di un oggetto usa questo comando:
(vlax-dump-object (vlax-ename->vla-object (car (entsel "\nSel ent: "))))

per comodità, creati un pulsante con relativo comando, è molto utile in tante occasioni.
Avevo già risolto con la tua prima risposta. Ora mi studio anche questo comando. Grazie ancora!
 

Statistiche forum

Discussioni
57,934
Messaggi
493,596
Utenti registrati
102,354
Ultimo utente registrato
Massimo p

Utenti online

Nessun utente è online al momento.

Top